Subject: Listing virtual devices on power

From: Rachita Kothiyal <[email-masked]>
Date: Wed, 20 Dec 2006 23:28:43 +0530

Hi

Since 'lspci' will not list down the virtual devices configured on a 
Power box, I was wondering if there exists some tool(or work in progress)
which would achieve this for virtual devices.

I am trying to implement this as a command in the 'crash' tool. 
I traverse the list of the vio devices, starting with the vio_bus_device 
as the parent node. But I am unable to find where the information regarding 
'class' and 'Vendor' is stored. I looked at the class entry in the struct 
device, but it turned out to be NULL. 

Any pointers would be of great help. Please Cc me as I am not subscribed
to the list.

Thanks
Rachita